API referenceNotifications
Turn one notification type's channels on or off
PATCH
Sends a real request with your token. Prefer a read-only token; it is kept in this browser's storage.
header
AuthorizationBearer <token>A personal access token (rsk_…) or a Supabase access token.
application/json- body
source_type?stringDefault
"user_notification"Value in
"user_notification""organization_activity"notification_type*stringValue in
"bookmark_commented""bookmark_reacted""bookmark_resaved""user_mentioned""comment_replied""organization_invited""invitation_accepted""join_request_received""join_request_approved""event_invited""event_rsvp""announcement""welcome"in_app_enabled?booleanpush_enabled?booleanemail_enabled?booleanThe preference
application/json- response
source_type*stringnotification_type*stringorganization_id*|nullin_app_enabled*booleanpush_enabled*booleanemail_enabled*booleancurl -X PATCH 'https://www.ressource.social/api/v1/notifications/preferences' \ -H 'Content-Type: application/json' \ -d '{ "notification_type": "bookmark_commented"}'{ "source_type": "string", "notification_type": "string", "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6", "in_app_enabled": true, "push_enabled": true, "email_enabled": true}